Loading...
Searching...
No Matches
jet::__sql Class Reference
Inheritance diagram for jet::__sql:
[legend]
Collaboration diagram for jet::__sql:
[legend]

## Public Member Functions

| __sql (coreutils::ZString &in, coreutils::MString &parentOut, Global &global, Tag *parent, Tag *local)
Public Member Functions inherited from jet::Tag
| Tag (coreutils::ZString &in, coreutils::MString &parentOut, Global &global, Tag *parent=NULL, Tag *local=NULL, coreutils::ZString splitTagName="")
virtual | ~Tag ()
| >Constructor
coreutils::MString | getVariable (coreutils::ZString &variable, bool inContainer=false)
coreutils::MString | resolveKeyword (coreutils::ZString keyword)
| >retrieve a vairable value from a text string cotontaining a variable name.

## Additional Inherited Members

Public Attributes inherited from jet::Tag
std::map< coreutils::MString, coreutils::MString > | variables
std::map< coreutils::MString, coreutils::MString > | keywords
coreutils::ZString | name
coreutils::ZString | container
coreutils::ZString | container2
Global & | global
Tag * | parent
Tag * | local
Protected Member Functions inherited from jet::Tag
bool | keywordDefined (coreutils::ZString variable)
void | parseContainer (coreutils::ZString &in, coreutils::MString &out, coreutils::ZString container2=NULL, bool topLevel=false)
void | processContainer (coreutils::ZString &container, coreutils::ZString container2=NULL, bool topLevel=false)
void | copyContainer (coreutils::ZString &in, coreutils::MString &out)
void | renderVariableName (coreutils::ZString &variable, coreutils::MString &name, coreutils::MString &modifier)
void | storeVariable (coreutils::ZString variable, coreutils::MString value, coreutils::ZString scope)
void | storeVariable (coreutils::ZString variable)
Protected Attributes inherited from jet::Tag
bool | hasContainer = false
bool | hasContainer2 = false
coreutils::MString & | parentOut
coreutils::MString | out
bool | output = true
bool | evaluate = true
bool | filterBlankLines = false
bool | trimLines = false
bool | cleanWhitespace = false

The documentation for this class was generated from the following files:

- __sql.h
- __sql.cpp